Apt update error oldstable

Hello,

I’m trying to update my Vero 4k+ to Kodi 19.1 but run into problems. The updater via My OSMC is not responding, it’s starting to download but there is no notification popping up that either I can install an update or there are no updates available.

Using SSH and trying sudo apt-get update I get the following error:

osmc@osmc:~$ sudo apt-get update
Get:1 http://ftp.debian.org/debian buster InRelease [122 kB]
Get:2 http://security.debian.org buster/updates InRelease [65.4 kB]
Get:3 http://ftp.debian.org/debian buster-updates InRelease [51.9 kB]
Hit:4 http://ftp.fau.de/osmc/osmc/apt buster InRelease
Reading package lists... Done
E: Repository 'http://ftp.debian.org/debian buster InRelease' changed its 'Suite' value from 'stable' to 'oldstable'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.
E: Repository 'http://security.debian.org buster/updates InRelease' changed its 'Suite' value from 'stable' to 'oldstable'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.
E: Repository 'http://ftp.debian.org/debian buster-updates InRelease' changed its 'Suite' value from 'stable-updates' to 'oldstable-updates'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.

So I guess this is happening because of the release of Debian 11. How should I proceed to update my device?

Regards

Go to My OSMC → Updates → Manual Controls → Apply Hotfix.

Enter ucawobahij and proceed.

You can now update your device via My OSMC or the command line.

4 Likes

Worked like a charm! If this is always needed by now because of the new Debian update, you might want to add that bit of information to the OSMC August update news :wink:

No – it’s not always needed. It affects some users, but that seems to be a minority of users.

Out of curiosity, when did you first install OSMC on your device? It’s possible the issue only affects users that installed OSMC within a specific range of dates.

It’s the default install the Vero 4k+ shipped with (although I updated it every time there was an update available). If the order number is of any help: #28571, ordered on 26.01.2020, order completion on 29.01.2020.

I don’t remember what image I was shipping at that time on devices, but I’ll see if I can find out. It does seem that it only affects older installs.

We’ve pushed a fix – but ironically it needs the hotfix (as above) to get that update. It won’t be a problem with the release of new versions of Debian, i.e. Bookworm (v12).

I have this issue too and will try the proposed solution, but am sure it will work!

I have one of the earlier units and haven’t updated for a few months.
Will report back with the exact version number I have at the moment, if that is helpful.

Just to let you know, same issue here for my Vero4K shipped end of 2017 updating from 2020.11-1. Hotfix worked like a charm.

Chris

I updated my 3 Vero 4k today:

  • The first one gave me that major update warning, so I skipped the install to read the blog post first. Later, the install wasn’t working anymore and I had to apply the hotfix
  • The second one gave me the update message as well and it was updating w/o the hotfix
  • The third one didn’t show the update message at all and I had to apply the hot fix.

I can only say what I bought all 3 at different times. If I can get you further details so you might identify a pattern, let me know.

My version was November 2020 2020.11-1

After applying the hotfix, updating worked. Now I think about it, I had to do this in the past with a major update too. Not sure if that is useful information, but thought it could be.

Hotfix did the trick. Thanks Sam!

I haven’t produced a hot fix for such an issue before — could you advise further?

Sam

I have tracked my older posts, you once made such a patch for the 10 bit issues:

So, wasn’t with a major update, but for this.

Same problem here (connectivity issue) on two Vero 4K +, ordered on January 19, 2019 - order completed on January 25, 2019.

Hotfix helped, update was successful afterwards. Thx and greetings from Germany.

Bonjour,
je n’arrivais pas à faire la mise à jour qui ne m’est pas proposé…
J’ai appliqué le Hotfix comme indiqué plus haut…
Je lance le scan de recherche de maj et j’ai un message “erreur d’extension”
Merci par avance de votre aide

Hi - this is an English speaking forum.

Can you post in English?

I could not do the update that is not proposed to me…
I applied the Hotfix as indicated above…
I run the scan for maj and I have a message “extension error”.
Thank you in advance for your help

To get a better understanding of the problem you are experiencing we need more information from you. The best way to get this information is for you to upload logs that demonstrate your problem. You can learn more about how to submit a useful support request here.

Depending on the used skin you have to set the settings-level to standard or higher, in summary:

  • enable debug logging at settings->system->logging

  • reboot the OSMC device twice(!)

  • reproduce the issue

  • upload the log set (all configs and logs!) either using the Log Uploader method within the My OSMC menu in the GUI or the ssh method invoking command grab-logs -A

  • publish the provided URL from the log set upload, here

Thanks for your understanding. We hope that we can help you get up and running again shortly.

OSMC skin screenshot:

Thanks for your help…
This is the url of my log
https://paste.osmc.tv/

Try rebooting and pasting the log again. Unfortunately that URL is not correct.